<template>
 <div class="section">

 <div class="container-home">
   <div class="bg-svg">
     <img :src="require(`@/assets/blob.svg`)" alt="bg-svg"/>
   </div>
   <div class="desc">
     <div class="text">
       <h2 class="tinny">Hello,</h2>
       <h2 class="bold">I'm Syaputra</h2>
     </div>
     <span class="container-type">
      <b>a</b> &nbsp;
      <p class="typed-text">{{typeValue}}</p>
      <p class="cursor" :class="{'typing' : typeStatus}"></p>
     </span>
   </div>
   <div class="img"><img :src="require(`@/assets/picture.png`)" alt=""></div>
</div>
   <div  class="scroll" v-scroll-to="'#element'">
     <img :src="require(`@/assets/scroll.svg`)" alt="" v-scroll-to="'#element'" > <span>
       Scroll Down
       </span> 
   </div>
 </div>
</template>

<script>
export default{
   data: () => {
      return {
        typeValue: '',
        typeStatus: false,
        typeArray: ['Front-end develeper', 'self-taught', 'love design (ui/ux) to 😋 '],
        typingSpeed: 300,
        erasingSpeed: 100,
        newTextDelay: 2000,
        typeArrayIndex: 0,
        charIndex: 0
      }
    },
    methods: {
      typeText() {
        if(this.charIndex < this.typeArray[this.typeArrayIndex].length) {
          if(!this.typeStatus)
            this.typeStatus = true;
          this.typeValue += this.typeArray[this.typeArrayIndex].charAt(this.charIndex);
          this.charIndex += 1;
          setTimeout(this.typeText, this.typingSpeed);
        }
        else {
          this.typeStatus = false;
          setTimeout(this.eraseText, this.newTextDelay);
        }
      },
      eraseText() {
        if(this.charIndex > 0) {
          if(!this.typeStatus)
            this.typeStatus = true;
          this.typeValue = this.typeArray[this.typeArrayIndex].substring(0, this.charIndex - 1);
          this.charIndex -= 1;
          setTimeout(this.eraseText, this.erasingSpeed);
        }
        else {
          this.typeStatus = false;
          this.typeArrayIndex += 1;
          if(this.typeArrayIndex >= this.typeArray.length)
            this.typeArrayIndex = 0;
          setTimeout(this.typeText, this.typingSpeed + 1000);
        }
      }
    },
    created() {
      setTimeout(this.typeText, this.newTextDelay + 200);
    }
}
 
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style >
@keyframes bob {
  from {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }

  100% {
    transform: translateY(0);
  }
}
.section{
  position: relative;
  padding: 30px;
  height:100vh;
  min-height: 400px;
  display: flex;
  flex-direction:column;
  justify-content: flex;
}
.section::before{
    content:'</section>';
    font-weight: 100;
    font-family:Pacifico ;
    font-size:12px;
    position: absolute;
    color : #85212138;
    left: 20px;
    bottom: 20px;
}
.section::after{
  font-family:Pacifico ;
  content:'<section>';
  font-size:12px;
  position: absolute;
  font-weight: 100;
  color : #85212138;
  left: 20px;
}
.section .scroll{
  width:200px;
  display: flex;
  animation: bob 2s infinite ease-in-out;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin: auto;
}
.section .scroll img{
  margin:5px
}

.section .scroll span{
  width: 100px;
  margin:5px
}
  .container-home{
    width: 100%;
    position: relative;
    display: flex;
    margin: auto;
    justify-content: space-around;
    align-items: center;
  }
  .container-home .bg-svg{
    position: absolute;
    z-index: -1;
    width: 100px;
    top: 10px;
    right: 120px;
  }
  .container-home .bg-svg img{
    transform: rotate(1deg);
    width: 100%;
    position: absolute;
  }
  .container-home .desc{
    max-width: 550px;
    padding: 10px;
    color: #4f5357;
 
  }
  .desc .text{
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      position: relative;
  }
  .desc .tinny{
    font-size: 5rem;
    margin-right: auto;
    width:150px;
    font-weight: 100;
  }
  .desc .text .bold{
    font-size: 4rem;
  }
  .container-home .desc h3{
    margin-top: -20px;
    font-size: 4rem;
    text-align: left;
  }

  .container-home .container-type{
    display: flex;
    position: relative;
       display: flex;
    padding: 20px;
    width:300px;
    font-weight: 500;
    position: relative;
  }

  .container-type .typed-text{
    color : #7a6b6b;
    font-weight: 100;
    font-size: 1.1rem;
  }
     .container-type .typed-text::after{
      font-family:Pacifico ;
      content:'<span>';
      font-size:12px;
      position: absolute;
      color : #85212138;
      left: 0;
      top:0;
    }
    .container-type .typed-text::before{
      content:'</span>';
      font-family:Pacifico ;
      font-size:12px;
      position: absolute;
      color : #85212138;
      left: 0;
      bottom: 0;
    }

  @keyframes cursorBlink {
    40% {background-color: #bd4b4b;}
    50% {background-color: transparent;} 
    99% {background-color: #bd4b4b;}   
  }

  .container-type .cursor{
    margin-left: 3px;
    width : 4px;
    background :rgb(139, 20, 20);
    animation: cursorBlink 1s infinite ;
  }

  .container-type .cursor.typing{
    animation: none;
  }
 

  .container-home .img{
    width: 300px;
    height: 400px;
    z-index: 1;
    position: relative;
    overflow: hidden;
    background-color: #322C42;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: flex-end;

  }

  .container-home .img::after{
  content: '';
  position: absolute;
  left: 40%;
  width: 450px; 
  height: 400px; 
  background-color: #bd4b4b;
  top: 0;
  z-index: -1;
  transform: skew(12deg) skewX(-50deg) ;
  }
  .container-home .img img{
    z-index: 2;
    background-size: cover;
    height: 450px;
    position: absolute;
    bottom:-30px;
    left :10px;
    background-position: bottom;
  }


@media only screen and (max-width: 600px) {
  .section{
    position: relative;
    min-height: 400px;
  }

  .container-home{
    flex-direction: column;
  }
  .desc .text .tinny{
     font-size: 3rem;
     width: 160px;
     margin: auto;
   }
  .desc .text .bold{
    font-size: 2rem;
  }
 
  .container-home .container-type{
    justify-content: center;
  }
   .container-home .bg-svg{
    width: 100px;
    top:200px;
    right: 50px;
    position: absolute;
  }
  .container-home .bg-svg img{
    width: 100px;
    position: absolute;
  }
  .section .scroll{
    padding: 10px;
  }
}
</style>
